Package com.orchestranetworks.instance

# Interface NewRecordContext

All Known Subinterfaces:
  `AccessRuleForCreateContext`, `NewTransientOccurrenceContext`

public interface NewRecordContext
Context providing information on a record creation.

Since:
  5.9.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AssociationLink`
  `getAssociationLink()`
  Returns the parent association if the creation occurs from an association.
  `ValueContext`
  `getAssociationSourceRecordContext()`
  Returns the source record value context if the creation occurs from an association.
  `DefinitionMode`
  `getDefinitionMode()`
  Returns the definition mode of the record being currently created.
  `SchemaNode`
  `getReferencingNode()`
  Returns the table reference field if the creation occurs from a table reference.
  `ValueContext`
  `getReferencingRecordContext()`
  Returns the source record value context if the creation occurs from a table reference.
  `Session`
  `getSession()`
  Returns the authenticated session performing the record creation.
  `ValueContext`
  `getValueContext()`
  Returns the value context of the record being created.
  `boolean`
  `isDuplication()`
  Returns `true` if the new context is for a record duplication.

- ## Method Details

  - ### getSession

    Session getSession()
    Returns the authenticated session performing the record creation.

  - ### getValueContext

    ValueContext getValueContext()
    Returns the value context of the record being created.

  - ### getDefinitionMode

    DefinitionMode getDefinitionMode()
    Returns the definition mode of the record being currently created.

  - ### isDuplication

    boolean isDuplication()
    Returns `true` if the new context is for a record duplication.
    Since:
      5.9.0

  - ### getAssociationLink

    AssociationLink getAssociationLink()
    Returns the parent association if the creation occurs from an association. Returns `null` otherwise.
    Since:
      5.9.0

  - ### getAssociationSourceRecordContext

    ValueContext getAssociationSourceRecordContext()
    Returns the source record value context if the creation occurs from an association. Returns `null` otherwise.
    Since:
      5.9.0

  - ### getReferencingNode

    SchemaNode getReferencingNode()
    Returns the table reference field if the creation occurs from a table reference. Returns `null` otherwise.
    Since:
      5.9.0

  - ### getReferencingRecordContext

    ValueContext getReferencingRecordContext()
    Returns the source record value context if the creation occurs from a table reference. Returns `null` otherwise.
    Since:
      5.9.0